<template>
  <div class="Falling">
    <Objects
      :top="TopFalling"
      v-for="item in fallingItem"
      :isleft="true"
      :ObjectProp="item"
      :key="item.id"
    />
  </div>
</template>
<script>
import Objects from "@/components/Object/Object";
export default {
  name: "Falling",

  data: function() {
    return {
      TopFalling: 0,
      interval: null
    };
  },
  mounted() {
    this.interval = setInterval(this.falling, 100);
  },

  components: {
    Objects
  },
  computed: {
    fallingItem() {
      return this.$store.state.fallingObject;
    }
  },
  methods: {
    falling() {
      this.TopFalling += 10;
      let swingTop = 300; // its should be replace by real swing position
      if (this.TopFalling > swingTop) {
        clearInterval(this.interval);
      }
    }
  }
};
</script>
<style  scoped>
.Falling {
  height: 60%;
  position: relative;
}
</style>